create table admin
(
    username char(16),
    password char(16)
);

insert into admin (username, password) values ("admin", "password");


create table attributes
(
    id int auto_increment primary key,
    name char(255),
    textshown text,
    active int
);

insert into attributes (id, name, textshown, active) values (3, "chess", "Are you a chess player?", 1);
insert into attributes (id, name, textshown, active) values (2, "classical music", "Do you like classical music?", 1);


create table configuration
(
    id int auto_increment primary key,
    name char(255),
    value text
);

insert into configuration (id, name, value) values (1, "mailformatchoice", "0");
insert into configuration (id, name, value) values (2, "confirmmail", "0");
insert into configuration (id, name, value) values (10, "showattributes", "0");
insert into configuration (id, name, value) values (11, "hashprefix", "can");
insert into configuration (id, name, value) values (12, "adminmail", "Can Ince <can@phptailor.org>");
insert into configuration (id, name, value) values (13, "mailheaders", "MIME-Version: 1.0\\r\\nContent-type: text/html; charset=iso-8859-1\\r\\n");
insert into configuration (id, name, value) values (4, "host", "http://localhost");
insert into configuration (id, name, value) values (5, "path", "/test/mylist");
insert into configuration (id, name, value) values (6, "confirmlink", "?p=confirm&hash=");
insert into configuration (id, name, value) values (7, "unsubscribelink", "?p=unsubscribeform&hash=");
insert into configuration (id, name, value) values (15, "showagerange", "0");
insert into configuration (id, name, value) values (14, "showgender", "0");
insert into configuration (id, name, value) values (16, "showlists", "0");
insert into configuration (id, name, value) values (17, "ftphost", "test");
insert into configuration (id, name, value) values (18, "ftpusername", "x37135767\0");
insert into configuration (id, name, value) values (19, "ftppass", "x37135767\0");
insert into configuration (id, name, value) values (20, "ftpdir", "/public_html");


create table letters
(
    id int auto_increment primary key,
    subject char(255),
    from char(255),
    message text,
    status char(16),
    gender char(4),
    agerange char(32),
    attributes char(64),
    lists char(64),
    date int
);



create table lists
(
    id int auto_increment primary key,
    name char(255),
    desc text,
    active int
);

insert into lists (id, name, desc, active) values (1, "Weekly Newsletter", "Weekly Newsletter", 1);
insert into lists (id, name, desc, active) values (3, "Monthly Newsletter", "Monthly Newsletter", 1);


create table messages
(
    id int auto_increment primary key,
    name char(255),
    message text
);

insert into messages (id, name, message) values (1, "thanksmessage", "Thanks for registering.");
insert into messages (id, name, message) values (2, "unsubscribemessage", "Your email address has been deleted from our database. Sorry to see you go!");
insert into messages (id, name, message) values (3, "nosuchemail", "This email address doesn\'t exist in our database.<br>Please go <a href=javascript:history.go(-1)>back</a>");
insert into messages (id, name, message) values (4, "emailexists", "This email address already exists in our database!<br>Please go <a href=javascript:history.go(-1)>back</a>.");
insert into messages (id, name, message) values (5, "confirmmessage", "Thanks for confirming your registration.");
insert into messages (id, name, message) values (6, "confirmmailsent", "A confirmation mail has been sent to the email address you have provided.");
insert into messages (id, name, message) values (7, "confirmtext", "Thanks for registering to our newsletter.\r\n<br>To confirm your registration, please click this link: [CONFIRMREGISTRATION]\r\n<br>To unsubscribe, please click this link: [UNSUBSCRIBE]");
insert into messages (id, name, message) values (8, "confirmsubject", "Thanks for registering to our newsletter.");


create table queue
(
    letterid int,
    userno int
);



create table users
(
    id int auto_increment primary key,
    email char(255),
    regdate int,
    gender int,
    agerange int,
    mailformat int,
    lists char(255),
    attributes char(255),
    approved int,
    hash char(32)
);

insert into users (id, email, regdate, gender, agerange, mailformat, lists, attributes, approved, hash) values (53, "can@assa.com", 1109662456, 1, 3, 1, "1,2", "", 1, "90892b26293d63a805e222ea7d87f11e");


