DROP TABLE IF EXISTS `admin`;
CREATE TABLE `admin` (
  `username` varchar(16) NOT NULL default '',
  `password` varchar(16) NOT NULL default ''
) TYPE=MyISAM;


INSERT INTO `admin` VALUES ('admin', 'admin');


DROP TABLE IF EXISTS `attributes`;
CREATE TABLE `attributes` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `textshown` longtext NOT NULL,
  `active` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


INSERT INTO `attributes` VALUES (3, 'chess', 'Are you a chess player?', 1);
INSERT INTO `attributes` VALUES (2, 'classical music', 'Do you like classical music?', 1);

DROP TABLE IF EXISTS `configuration`;
CREATE TABLE `configuration` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `value` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


INSERT INTO `configuration` VALUES (1, 'mailformatchoice', '0');
INSERT INTO `configuration` VALUES (2, 'confirmmail', '0');
INSERT INTO `configuration` VALUES (10, 'showattributes', '0');
INSERT INTO `configuration` VALUES (11, 'hashprefix', 'can');
INSERT INTO `configuration` VALUES (12, 'adminmail', '');
INSERT INTO `configuration` VALUES (13, 'mailheaders', 'Content-type: text/html; charset=iso-8859-9\\r\\nFrom: $from\\r\\n');
INSERT INTO `configuration` VALUES (4, 'host', '');
INSERT INTO `configuration` VALUES (5, 'path', '');
INSERT INTO `configuration` VALUES (6, 'confirmlink', '?p=confirm&hash=');
INSERT INTO `configuration` VALUES (7, 'unsubscribelink', '?p=unsubscribeform&hash=');
INSERT INTO `configuration` VALUES (15, 'showagerange', '0');
INSERT INTO `configuration` VALUES (14, 'showgender', '0');
INSERT INTO `configuration` VALUES (16, 'showlists', '0');
INSERT INTO `configuration` VALUES (17, 'ftphost', '');
INSERT INTO `configuration` VALUES (18, 'ftpusername', '');
INSERT INTO `configuration` VALUES (19, 'ftppass', '');
INSERT INTO `configuration` VALUES (20, 'ftpdir', '');
INSERT INTO `configuration` VALUES (21, 'smtphost', '63.93.128.7');
INSERT INTO `configuration` VALUES (22, 'smtpusername', 'testuser@testsite.com');
INSERT INTO `configuration` VALUES (23, 'smtppass', 'testpass');
INSERT INTO `configuration` VALUES (24, 'mailmethod', 'sendmail');


DROP TABLE IF EXISTS `letters`;
CREATE TABLE `letters` (
  `id` int(8) NOT NULL auto_increment,
  `subject` varchar(255) NOT NULL default '',
  `from` varchar(255) NOT NULL default '',
  `message` longtext NOT NULL,
  `status` varchar(16) NOT NULL default '',
  `gender` varchar(4) NOT NULL default '',
  `agerange` varchar(32) NOT NULL default '',
  `attributes` varchar(64) NOT NULL default '',
  `lists` varchar(64) NOT NULL default '',
  `date` int(11) NOT NULL default '0',
  `embargoed` int(12) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `letters` VALUES (16, 'tertet', 'Can Ince can@forabilisim.net', 'erter', 'sent', '', '', '', '', 1109818655, 0);
INSERT INTO `letters` VALUES (15, 'etrret', 'Can Ince can@forabilisim.net', '<span style="font-weight: bold;">\r\nerwerwerwrewrewer</span>', 'sent', '', '', '', '', 1109815421, 0);
INSERT INTO `letters` VALUES (17, 'test', 'Can Ince can@forabilisim.net', 'test', 'sent', '', '', '', '', 1109818901, 0);
INSERT INTO `letters` VALUES (18, 'test', 'Can Ince <can@forabilisim.net>', '<span style="font-weight: bold;">tetertt</span>\r\n', 'sent', '', '', '', '', 1110108149, 0);
INSERT INTO `letters` VALUES (19, 'inline2', 'Can Ince <can@forabilisim.net>', '<strong style="background-color: rgb(255, 153, 0);">tryre</strong>', 'sent', '', '', '', '', 1110108274, 0);
INSERT INTO `letters` VALUES (23, 'test', 'can@phptailor.com', 'test\r\n', 'sent', '', '', '', '', 1128549785, 1104530400);


DROP TABLE IF EXISTS `lists`;
CREATE TABLE `lists` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `desc` longtext NOT NULL,
  `active` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `lists` VALUES (1, 'Weekly Newsletter', 'Weekly Newsletter', 1);
INSERT INTO `lists` VALUES (3, 'Monthly Newsletter', 'Monthly Newsletter', 1);


DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `message` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


INSERT INTO `messages` VALUES (1, 'thanksmessage', 'Thanks for registering.');
INSERT INTO `messages` VALUES (2, 'unsubscribemessage', 'Your email address has been deleted from our database. Sorry to see you go!');
INSERT INTO `messages` VALUES (3, 'nosuchemail', 'This email address doesn''t exist in our database.<br>Please go <a href=javascript:history.go(-1)>back</a>');
INSERT INTO `messages` VALUES (4, 'emailexists', 'This email address already exists in our database!<br>Please go <a href=javascript:history.go(-1)>back</a>.');
INSERT INTO `messages` VALUES (5, 'confirmmessage', 'Thanks for confirming your registration.');
INSERT INTO `messages` VALUES (6, 'confirmmailsent', 'A confirmation mail has been sent to the email address you have provided.');
INSERT INTO `messages` VALUES (7, 'confirmtext', 'Thanks for registering to our newsletter.\r\n<br>To confirm your registration, please click this link: [CONFIRMREGISTRATION]\r\n<br>To unsubscribe, please click this link: [UNSUBSCRIBE]');
INSERT INTO `messages` VALUES (8, 'confirmsubject', 'Thanks for registering to our newsletter.');


DROP TABLE IF EXISTS `queue`;
CREATE TABLE `queue` (
  `letterid` int(8) NOT NULL default '0',
  `userno` int(8) NOT NULL default '0'
) TYPE=MyISAM;


INSERT INTO `queue` VALUES (23, 0);


DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(8) NOT NULL auto_increment,
  `email` varchar(255) NOT NULL default '',
  `regdate` int(11) NOT NULL default '0',
  `gender` int(1) NOT NULL default '0',
  `agerange` int(2) NOT NULL default '0',
  `mailformat` int(1) NOT NULL default '0',
  `lists` varchar(255) NOT NULL default '',
  `attributes` varchar(255) NOT NULL default '',
  `approved` int(1) NOT NULL default '0',
  `hash` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


INSERT INTO `users` VALUES (53, 'muhakkak@yahoo.com', 1109662456, 1, 3, 1, '1,2', '', 1, '90892b26293d63a805e222ea7d87f11e');
        